aboutsummaryrefslogtreecommitdiffstats
path: root/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build.sh')
-rw-r--r--build.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/build.sh b/build.sh
index 8fe06d9df..480fe6192 100644
--- a/build.sh
+++ b/build.sh
@@ -11,6 +11,13 @@ docker/smoke \
docker/benchmarking \
docker/features \
docker/vnf"}
+arm_dirs=${arm_dirs-"\
+docker/core \
+docker/tempest \
+docker/healthcheck \
+docker/smoke \
+docker/benchmarking \
+docker/features"}
arm64_dirs=${arm64_dirs-${amd64_dirs}}
build_opts=(--pull=true --no-cache --force-rm=true)
@@ -48,4 +55,22 @@ done
multiarch/alpine:arm64-v3.9 || true)
find . -name Dockerfile -exec git checkout {} +
+find . -name Dockerfile -exec sed -i \
+ -e "s|alpine:3.9|multiarch/alpine:armhf-v3.9|g" {} +
+find . -name Dockerfile -exec sed -i \
+ -e "s|opnfv/functest-core|${repo}/functest-core:arm-latest|g" {} +
+find . -name Dockerfile -exec sed -i \
+ -e "s|opnfv/functest-tempest|${repo}/functest-tempest:arm-latest|g" {} +
+for dir in ${arm_dirs}; do
+ (cd "${dir}" && docker build "${build_opts[@]}" \
+ -t "${repo}/functest-${dir##**/}:arm-latest" .)
+ docker push "${repo}/functest-${dir##**/}:arm-latest"
+ [ "${dir}" != "docker/core" ] &&
+ (docker rmi "${repo}/functest-${dir##**/}:arm-latest" || true)
+done
+[ ! -z "${arm_dirs}" ] &&
+ (docker rmi "${repo}/functest-core:arm-latest" \
+ multiarch/alpine:armhf-v3.9 || true)
+find . -name Dockerfile -exec git checkout {} +
+
exit $?